module RefData where

import Text.CSL.Reference

someReferences :: [Reference]
someReferences
    = [ emptyReference
        { refType         = ArticleNewspaper,
          issued          = [RefDate 2007 0 0 ""],
          title           = "Some Title",
          containerTitle  = "Journal News",
          page            = "A5",
          url             = "http://ex.net/1",
          accessed        = [RefDate 2007 11 12 ""]
        }
      , emptyReference
        { refType         = Book,
          issued          = [RefDate 2000 0 0 ""],
          title           = "Splitting the Difference",
          publisher       = [Entity "University of Chicago Press"],
          publisherPlace  = "Chicago",
          author          = [Person "" ["Wendy"] "" "" "Doniger" ""]
        }
      , emptyReference
        { refType         = Book,
          issued          = [RefDate 1994 0 0 ""],
          title           = "The social organization of sexuality: Sexual practices in the United States",
          publisher       = [Entity "University of Chicago Press"],
          publisherPlace  = "Chicago",
          author          = [ Person "" ["Edward","O."] "" "" "Laumann" ""
                            , Person "" ["John"  ,"H."] "" "" "Gagnon" ""
                            , Person "" ["Robert","T."] "" "" "Michael" ""
                            ]
        }
      , emptyReference
        { refType         = ArticleJournal,
          issued          = [RefDate 1998 0 0 ""],
          title           = "The origin of altruism",
          containerTitle  = "Nature",
          issue           = "393",
          page            = "639-640",
          author          = [ Person "" ["John","Maynard"] "" "" "Smith" ""
                            ]
        }
      , emptyReference
        { refType         = Chapter,
          issued          = [RefDate 2000 0 0 ""],
          title           = "Introduction: A Chapter Title",
          containerTitle  = "Edited Book Title",
          collectionTitle = "Series Title",
          publisher       = [Entity "ABC Books"],
          publisherPlace  = "New York",
          author          = [ Person "" ["Jane"] "" "" "Doe" ""
                            , Person "" ["John"] "" "" "Smith" ""
                            ],
          editor          = [ Person "" ["Jane"] "" "" "Doe" ""
                            , Person "" ["John"] "" "" "Smith" ""
                            ]
        }
      ]